class WidgetController < ApplicationController
  layout nil
  session :off
 
  before_filter :validate_api_key, :only => [:user_bookmarks]
 
  def user_bookmarks
    # Find bookmarks assigned to owner of the API key 
    @bookmarks = Bookmark.find_by_user_id(@key.user_id, :order => 'created_at desc', :limit => 10)
  end

protected
  def validate_api_key
    # Assuming we defined API_KEY_REGEX elsewhere
    return render(:text => 'Invalid API key.') unless params[:api_key] =~ API_KEY_REGEX

    # You may want to validate the key against your database also
    return render(:text => 'Invalid API key.') if not @key = Key.find_by_hash(params[:api_key])
  end
end